### Method

# ECal Component get_completed

since: 3.34

#### Declaration [src]

    ICalTime*
    e_cal_component_get_completed (
      ECalComponent* comp
    )

#### Description [src]

Queries the date at which a calendar compoment object was completed. Free the returned non-NULL pointer with g_object_unref(), when no longer needed.

Available since: 3.34

#### Return value

Type: `None`

The completion date, as an `ICalTime`, or `NULL`, when none is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.